d.info(1)

NAME
d.info - Displays information about the active display monitor.
Display monitors are maintained by d.mon.

KEYWORDS
display, graphics, monitors

SYNOPSIS
d.info
d.info --help
d.info [-rdfebg] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Display screen rectangle (left, right, top, bottom)

-d
    Display screen dimensions (width, height)

-f
    Display active frame rectangle

-e
    Display frame dimensions (width, height)

-b
    Display screen rectangle of current region

-g
    Display geographic coordinates and resolution of entire frame

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

DESCRIPTION
d.info displays information about the active display monitor. Display monitors are maintained by d.mon.

EXAMPLES

d.mon start=cairo
d.info -r
rectangle: 0.000000 640.000000 0.000000 480.000000

NOTES
Units are screen pixels (except for -g flag where map units are used).
Where two numbers are given the format is: width, height.
Where four numbers are given the format is: left, right, top, bottom.

Note: GRASS display pixel coordinates are measured from the top left.

SEE ALSO
d.mon, d.vect, d.rast

AUTHOR
Glynn Clements

SOURCE CODE

Available at: d.info source code (history)

Accessed: Tuesday Jan 23 11:16:24 2024

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual